.. DeepSpeech documentation master file, created by
   sphinx-quickstart on Thu Feb  2 21:20:39 2017.
   You can adapt this file completely to your liking, but it should at least
   contain the root `toctree` directive.

Welcome to DeepSpeech's documentation!
======================================

.. toctree::
   :maxdepth: 2
   :caption: Contents:

   DeepSpeech
   Geometry
   ParallelOptimization

.. automodule:: DeepSpeech
   :members:

.. automodule:: util.audio
   :members:

.. automodule:: util.text
   :members:

.. automodule:: util.gpu
   :members:

.. automodule:: util.stm
   :members:

.. automodule:: util.importers.ldc93s1
   :members:

.. automodule:: util.importers.ted
   :members:

.. automodule:: util.importers.librivox
   :members:

.. automodule:: util.importers.LDC97S62
   :members:

.. automodule:: util.importers.fisher
   :members:


Indices and tables
==================

* :ref:`genindex`
* :ref:`modindex`
* :ref:`search`
